gr::radar::msg_gate Class Reference

This block blocks messages whose data is not in range of val_min to val_max. All parameters are given as vectors. Each index represents a dataset with given identifier (symbol) which should be tested on valid data in given range. All other data is pushed through. More...

`#include <msg_gate.h>`

Inheritance diagram for gr::radar::msg_gate:

## Public Types

typedef std::shared_ptr< msg_gate > | sptr

## Static Public Member Functions

static sptr | make (std::vector< std::string > keys, std::vector< float > val_min, std::vector< float > val_max)
| Return a shared_ptr to a new instance of radar::msg_gate.

## Detailed Description

This block blocks messages whose data is not in range of val_min to val_max. All parameters are given as vectors. Each index represents a dataset with given identifier (symbol) which should be tested on valid data in given range. All other data is pushed through.

Parameters

  keys | Identifiers (symbols) of the data as vector
  val_min | Lower limit of the gate as vector
  val_max | Higher limit of the gate as vector

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<msg_gate> gr::radar::msg_gate::sptr

## Member Function Documentation

## make()

sptr gr::radar::msg_gate::make | ( | std::vector< std::string > | keys,
|  | std::vector< float > | val_min,
|  | std::vector< float > | val_max )

static

Return a shared_ptr to a new instance of radar::msg_gate.

To avoid accidental use of raw pointers, radar::msg_gate's constructor is in a private implementation class. radar::msg_gate::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- msg_gate.h